/*******************************************************************************

    File:     cdh.c
    Author:   Rick Cooper
    Created:  01/02/10
    Edited:   01/02/10
    Contents: An X interface to the mirror model

    Public procedures:
        int main(int argc, char **argv)

*******************************************************************************/

#include "src_model.h"
#include "cdh_task.h"
#include "lib_maths.h"
#include <stdlib.h>
#include <time.h>
#include <gtk/gtk.h>

/******************************************************************************/

void update_graphics(GlobalVariables *gv) {}

/******************************************************************************/
/* Section 1: Main -----------------------------------------------------------*/

int main(int argc, char **argv)
{
    GlobalVariables *gv;

    random_randomise_seed();

    if ((gv = globals_create()) == NULL) {
        fprintf(stderr, "%s: Aborting - Memory allocation failed while creating global variable space\n", argv[0]);
    }
    else {

        gv->learning_rule = LR_HEBB;
        exp1_do_task(gv);
        exp1_print_analysis(stdout, gv);

        gv->learning_rule = LR_QEBB;
        exp1_do_task(gv);
        exp1_print_analysis(stdout, gv);

        gv->learning_rule = LR_RW_A;
        exp1_do_task(gv);
        exp1_print_analysis(stdout, gv);

        gv->learning_rule = LR_RW_B;
        exp1_do_task(gv);
        exp1_print_analysis(stdout, gv);
    }

    globals_destroy(gv);

    exit(0);
}

/******************************************************************************/
