/*******************************************************************************

    File:     cdh_graphs.c
    Author:   Rick Cooper
    Created:  11/05/12
    Edited:   11/05/12
    Contents: A front-end to produce PDF (via ciaro) of graphs for the CDH simulations

    Public procedures:
        int main(int argc, char **argv)

*******************************************************************************/

#include "src_model.h"
#include "lib_maths.h"
#include <stdlib.h>
#include <time.h>
#include <gtk/gtk.h>

extern void graphs_create(GlobalVariables *globals, int width, int height);

/******************************************************************************/
/* Section X: Main -----------------------------------------------------------*/

int main(int argc, char **argv)
{
    GlobalVariables *globals;

    random_randomise_seed();

    if ((globals = globals_create()) == NULL) {
        fprintf(stderr, "%s: Aborting - Memory allocation failed while creating global variable space\n", argv[0]);
    }
    else {
        graphs_create(globals, 650, 900);
    }

    globals_destroy(globals);

    exit(0);
}

/******************************************************************************/

