#ifndef _cs_maths_h_

#define _cs_maths_h_

typedef enum maths_type {
    MT_SIGMOID, MT_TANH, MT_HALFX, MT_M_R, MT_HOUGHTON, MT_NORMALISED, MT_COHEN, MT_BOUCHER
} MathsType;

typedef struct maths_parameters {
    MathsType maths_system;
    double noise;
    double persistence;
    double rest_act;
    double min_act;
    double max_act;
} MathsParameters;

extern double apply_equation(MathsParameters *gv, double current, double input);
extern double initial_activation(MathsParameters *gv, double bias);

#endif
