#ifndef _lib_gtkx_h_

#define _lib_gtkx_h_

#include <gtk/gtk.h>

#define GTK_DISABLE_DEPRECATED

extern GdkColor colour[29];

extern void initialise_colours(GtkWidget *window);
extern GdkGC *create_gcs(GtkWidget *window);

extern GtkWidget *gtkx_button_create(GtkWidget *parent, const char *label, void callback(), void *arg);
extern GtkWidget *gtkx_stock_button_create(GtkWidget *parent, const char *label, int left, void callback(), void *arg);
extern void       gtkx_widget_set_font_bold(GtkWidget *widget);
extern void       gtkx_widget_set_foreground_colour(GtkWidget *widget, int index);
extern void       gtkx_widget_unset_foreground(GtkWidget *widget);
extern void       gtkx_container_destroy_children(GtkContainer *panel);
extern int        gtkx_widget_is_mapped(GtkWidget *widget);
extern GtkWidget *gtkx_menu_separator_create(GtkWidget *menu);
extern GtkWidget *gtkx_menu_item_create(GtkWidget *menu, char *label, void callback(), void *arg);
extern GtkWidget *gtkx_check_menu_item_create(GtkWidget *menu, char *label, int active, void callback(), void *arg);
extern GtkWidget *gtkx_radio_menu_item_create(GtkWidget *menu, char *label, GSList *group, void callback(), void *arg);
extern void       gtkx_menu_register_check_item_activity(GtkWidget *menu, GtkWidget *item, int (*condition)(), void *data);
extern void       gtkx_menu_register_item_sensitivity(GtkWidget *menu, GtkWidget *item, int (*condition)(), void *data);
extern int        gtkx_text_buffer_is_contentless(GtkTextBuffer *buffer);
extern int        gtkx_text_buffer_load_chars_from_file(GtkTextBuffer *text_buffer, char *file, int pos);
extern void       gtkx_text_buffer_select_all(GtkTextBuffer *buffer);
extern void       gtkx_text_buffer_select_none(GtkTextBuffer *buffer);
extern GtkWidget *gtkx_toolbar_append_button(GtkToolbar *toolbar, const char *xpm[], char *tip, char *label, void (*callback)(), void *data);
extern GtkWidget *gtkx_toolbar_append_pixbuf_button(GtkToolbar *toolbar, GdkPixbuf *pixbuf, char *tip, char *label, void (*callback)(), void *data);
extern void       gtkx_notebook_append_page(GtkWidget *notebook, GtkWidget *page, char *text);

extern void io_message(GtkWidget *window, const char *message);
extern int io_query(GtkWidget *window, const char *question);

extern void gtkx_flush_events();

extern void gtkx_canvas_reallocate(GtkWidget *da);
extern void gtkx_canvas_callback_destroy(GtkWidget *da, void *dummy);
extern int  gtkx_canvas_event_expose(GtkWidget *da, GdkEventExpose *event, void *dummy);

#endif
