#ifndef _lib_maths_h_

#define  _lib_maths_h_

#include <math.h>
#include <stdio.h>

#define PI 3.141592653
#define MAX(A,B) ((A) > (B) ? (A) : (B))
#define ABS(A) ((A) > 0 ? (A) : -(A))

extern void random_randomise_seed();
extern double random_normal(double mean, double sd);
extern double random_uniform(double low, double high);
extern int random_int(int n);
extern double squared(double input);
extern double sigmoid(double input);
extern double sigmoid_inverse(double input);
extern double sigmoid_derivative(double input);
extern double vector_sum_square_difference(int w, double *v1, double *v2);
extern double vector_cross_entropy(int w, double *desired, double *actual);
extern double vector_set_variability(int n, int l, double *v);

extern void vector_sort(double *vector, int l);
extern void vector_print(FILE *fp, double *vector, int l);

extern double prob_of_t(double t, int df);

#endif
