/*******************************************************************************

    File:     xmirror.c
    Author:   Rick Cooper
    Created:  01/02/10
    Edited:   01/02/10
    Contents: An X interface to the mirror model

    Public procedures:
        int main(int argc, char **argv)

*******************************************************************************/

#include "src_model.h"
#include "lib_maths.h"
#include <stdlib.h>
#include <time.h>
#include <gtk/gtk.h>

extern Boolean widgets_create(GlobalVariables *globals);
extern void src_model_initialise(GlobalVariables *globals);

/******************************************************************************/
/* Section 1: Main -----------------------------------------------------------*/

int main(int argc, char **argv)
{
    GlobalVariables *globals;

    gtk_set_locale();
    gtk_init(&argc, &argv);

    random_randomise_seed();

    if ((globals = globals_create()) == NULL) {
        fprintf(stderr, "%s: Aborting - Memory allocation failed while creating global variable space\n", argv[0]);
    }
    else if (widgets_create(globals)) {
        src_model_initialise(globals);
        gtk_widget_show(GTK_WIDGET(globals->window));
        gtk_main();
    }
    else {
        fprintf(stderr, "%s: Aborting - Widget creation failed\n", argv[0]);
    }

    globals_destroy(globals);

    exit(0);
}

/******************************************************************************/
